namespace skyscraper5.Mpeg2.Descriptors
{
    public class UserDefinedDescriptor : TsDescriptor
    {
        public byte DescriptorTag { get; }
        public byte[] Data { get; }

        public UserDefinedDescriptor(byte descriptorTag, byte[] data)
        {
            DescriptorTag = descriptorTag;
            Data = data;
        }

		public override byte GetDescriptorId()
		{
            return DescriptorTag;
		}
	}
}
